Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
classes/admin/linklist.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( $INIGroup, "Language" )
| $Modules = $ini->variable( $INIGroup, "ModuleList" )
if(!isset( $ClientRoot)) if(!isset( $ClientIntlDir)) | $intl_dirs = array( $ClientIntlDir )
| $php_files = array( "linklist.php" )
foreach( $Modules as $module) if(isset( $ItemInsert)) | $t
| $preferences = new eZPreferences()
| $LinkType = $preferences->variable( $PreferencesSetting )
| $module_link = new eZModuleLink( $ClientModuleName, $ClientModuleType, $ItemID )
| $sections =& $module_link->sections()
| $item = 0

## Variable Documentation

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 64 of file classes/admin/linklist.php.

Referenced by eZSQLite3DB\__construct(), eZPBLog\__construct(), eZFormRenderer\__construct(), eZArticleGenerator\__construct(), eZOrder\__construct(), eZOrderConfirmation\__construct(), eZLocale\__construct(), eZMySQLDB\__construct(), eZQDomRenderer\__construct(), eZQDomGenerator\__construct(), eZCheckoutSupplierGateway\__construct(), eZCheckout\__construct(), eZWebDAVContentBackend\__construct(), ezpbKernelAdmin\__construct(), ezpbKernelWeb\__construct(), ezpKernelTreeMenu\__construct(), ezpKernelWeb\__construct(), ezpKernelRest\__construct(), upsRate\__runCurl(), eZModuleHandler\active(), eZModuleHandler\all(), eZArticle\articleCount(), eZArticle\articles(), eZTranslationCache\cacheDirectory(), eZSys\cacheDirectory(), eZCart\cartTotals(), eZSiteAccess\change(), eZSQLite3DB\connect(), upsRate\construct_request_xml(), eZPBImageFile\convertCopy(), eZMail\copyMail(), eZPriceGroup\correctPrice(), eZMenuBox\createBox(), eZImage\createWatermark(), eZCodeMapper\decodeCommand(), ezpLanguageSwitcher\destinationUrl(), ezpbKernelAdmin\dispatchLoop(), ezpbKernelWeb\dispatchLoop(), ezpKernelWeb\dispatchLoop(), eZList\drawList(), eZPBFile\dumpDataToFile(), eZPBFile\dumpFroogleDataToFile(), eZPBFile\dumpYahooDataToFile(), eZHTTPHeader\enabled(), error(), errorPage(), eZCharTransform\executeCacheFile(), eZCodeMapper\executeCommandCode(), eZSys\ezcrc32(), eZDisplayDebug(), ezups\ezupsser(), eZTSTranslator\fetchList(), eZWebDAVContentBackend\fetchNodeByTranslation(), eZWebDAVContentBackend\fetchParentNodeByTranslation(), eZExtension\findExtensionType(), eZSiteAccess\findPathToSiteAccess(), eZArticle\forum(), eZGroupEvent\forum(), eZImage\forum(), eZProduct\forum(), eZCodeMapper\generateCommandCode(), eZModule\getAll(), eZForumCategory\getAllCategories(), eZGroupEvent\getByDate(), eZGroupEvent\getByGroupType(), eZExtension\getHandlerClass(), eZSession\getHandlerInstance(), eZSiteAccess\getIni(), eZDir\getPathFromFilename(), ezups\getservices(), eZMailFolder\getSpecialFolder(), eZWebDAVContentBackend\getVirtualFolderCollection(), eZDB\globalDatabase(), globalINI(), eZCharTransform\groupCommands(), eZModuleHandler\hasTab(), eZHTTPHeader\headerOverrideArray(), eZPriceGroup\highestPrice(), eZImageCategory\imageCount(), eZSys\indexFile(), ezpContentPublishingQueue\initHooks(), eZFileHandler\instance(), eZDebugSetting\isConditionTrue(), eZSys\isSSLNow(), ezpRestDbConfig\lazyDbHelper(), eZCodeMapper\loadTransformationFiles(), eZTSTranslator\loadTranslationFile(), eZCartItem\localePrice(), eZOrderItem\localePrice(), eZOptionValue\localePrice(), eZProduct\localePrice(), eZCartItem\localeSavings(), eZProduct\localeSavings(), eZOptionValue\localeSavings(), eZPriceGroup\lowestPrice(), eZSiteAccess\match(), eZMediaCategory\mediaCount(), menuMaker(), ezpLanguageSwitcherOperator\modify(), newOrders(), eZGroupEvent\notification(), eZArticleTool\notificationMessage(), eZCheckoutSupplierGateway\paymentFile(), eZExtension\prependExtensionSiteAccesses(), eZExtension\prependSiteAccess(), eZDebug\printReportInternal(), eZContentLanguage\prioritizedLanguages(), eZURLAliasFilterAppendNodeID\process(), ezpMobileDeviceRegexpFilter\process(), eZWebDAVContentBackend\propFind(), ezpContentPublishingProcess\publish(), eZSQLite3DB\query(), ezpSessionHandlerDB\read(), ezpbKernelAdmin\redirect(), ezpbKernelWeb\redirect(), ezpKernelWeb\redirect(), eZSession\registerFunctions(), ezpContentXHTMLRenderer\render(), eZQDomRenderer\renderFile(), eZTechRenderer\renderImage(), eZQDomRenderer\renderImage(), eZQDomRenderer\renderMedia(), eZEzRenderer\renderPage(), ezpbKernelAdmin\requestInit(), ezpbKernelWeb\requestInit(), ezpKernelWeb\requestInit(), eZTranslationCache\rootCacheDirectory(), ezpbKernelAdmin\run(), ezpbKernelWeb\run(), ezpKernelWeb\run(), eZSiteAccess\saNameByLanguage(), eZPBImageFile\scaleCopy(), eZArticle\search(), eZVoucherInformation\sendEMail(), eZFormRenderer\sendForm(), eZOrderConfirmation\sendMail(), eZResponse\sendMail(), eZArticle\sendPendingMail(), eZSys\serverURL(), ezpbKernelAdmin\sessionInit(), ezpbKernelWeb\sessionInit(), ezpKernelTreeMenu\sessionInit(), ezpKernelWeb\sessionInit(), eZSession\setCookieParams(), eZSection\setOverrideVariables(), ezpSessionHandlerPHP\setSaveHandler(), ezpLanguageSwitcher\setupTranslationSAList(), eZSiteAccess\siteAccessList(), eZSys\storageDirectory(), eZOptionValue\store(), ezpRestDebug\updateDebugSettings(), eZArticleSupplier\urlList(), eZContactSupplier\urlList(), eZProductSupplier\urlList(), eZSys\varDirectory(), eZProduct\vatType(), eZShippingType\vatType(), eZFormRenderer\verifyForm(), eZProduct\weight(), eZCharTransform\wordSeparator(), eZLog\write(), ezpSessionHandlerDB\write(), eZDebug\writeFile(), and eZLog\writeStorageLog().

## ◆ $intl_dirs

if (!isset($ClientRoot)) if (!isset($ClientIntlDir)) $intl_dirs = array( $ClientIntlDir )

Definition at line 77 of file classes/admin/linklist.php.

## ◆ $item

$item = 0

Definition at line 228 of file classes/admin/linklist.php.

Referenced by eZCart\cartTotals(), categoryTree(), eZCart\clear(), eZWishList\clear(), eZOrderConfirmation\confirm(), eZDir\copy(), eZCart\delete(), eZOrder\delete(), eZWishList\delete(), eZLinkCategory\deleteImage(), eZList\drawList(), eZList\drawNavigator(), eZPersistentObject\fill(), eZCodeMapper\generateSimpleMappingTable(), eZWebDAVContentBackend\getProperty(), ezpAttributeOperatorFormatter\getType(), ezpAttributeOperatorFormatter\getValue(), eZWebDAVContentBackend\getVirtualFolderCollection(), eZCart\items(), eZOrder\items(), eZWishList\items(), ezpAttributeOperatorHTMLFormatter\line(), ezpAttributeOperatorTextFormatter\line(), eZOrder\mostPopularProduct(), newOrders(), eZBackslashImporter\news(), eZCartItem\optionValues(), eZOrderItem\optionValues(), eZWishListItem\optionValues(), eZOrder\orderTotals(), eZCodeMapper\ordinalValues(), eZWishList\search(), eZOrderConfirmation\sendMail(), eZOrder\setPaymentMethod(), eZCart\shippingCost(), eZCodePage\storeCacheObject(), eZXMLRPCArray\toArray(), eZOrder\totalPrice(), eZOrder\totalVAT(), eZOrder\usedVouchers(), and eZUserGroup\users().

## ◆ $Language

$Language = $ini->variable( $INIGroup, "Language" )

Definition at line 65 of file classes/admin/linklist.php.

Referenced by eZFormRenderer\__construct(), eZMenuBox\createBox(), eZList\drawList(), eZMailFolder\getSpecialFolder(), eZOrderItem\localePrice(), menuMaker(), newOrders(), ezpbKernelAdmin\run(), ezpbKernelWeb\run(), eZVoucherInformation\sendEMail(), eZFormRenderer\sendForm(), and eZArticle\sendPendingMail().

## ◆ $LinkType

$LinkType = $preferences->variable( $PreferencesSetting )

Definition at line 187 of file classes/admin/linklist.php.

## ◆ $module_link

$module_link = new eZModuleLink( $ClientModuleName, $ClientModuleType, $ItemID )

Definition at line 226 of file classes/admin/linklist.php.

## ◆ $Modules

$Modules = $ini->variable( $INIGroup, "ModuleList" )

Definition at line 66 of file classes/admin/linklist.php.

## ◆ $php_files

$php_files = array( "linklist.php" )

Definition at line 78 of file classes/admin/linklist.php.

## ◆ $preferences

$preferences = new eZPreferences()

Definition at line 186 of file classes/admin/linklist.php.

Referenced by eZModuleHandler\active(), eZModuleHandler\activeTab(), eZMenuBox\createBox(), eZModuleHandler\isOpen(), ezpbKernelAdmin\run(), eZModuleHandler\setActive(), eZModuleHandler\setActiveTab(), eZModuleHandler\setOpen(), eZModuleHandler\toggle(), and eZModuleHandler\useSingleModule().

## ◆ $sections

$sections =& $module_link->sections()

Definition at line 227 of file classes/admin/linklist.php.

## ◆ $t

foreach ($Modules as $module) if (isset($ItemInsert)) $t

Initial value:
= new eZTemplate( $ClientRoot . $ini->variable( $INIGroup, "AdminTemplateDir" ),
$intl_dirs, $Language, $php_files )
eZTemplate
Definition: eztemplate.php:107
$intl_dirs
if(!isset( $ClientRoot)) if(!isset( $ClientIntlDir)) $intl_dirs
Definition: classes/admin/linklist.php:77
$Language
$Language
Definition: classes/admin/linklist.php:65
$ini
$ini
Definition: classes/admin/linklist.php:64
$php_files
$php_files
Definition: classes/admin/linklist.php:78

Definition at line 168 of file classes/admin/linklist.php.

Referenced by createArticleMenu(), eZMenuBox\createBox(), createLinkMenu(), createPage(), createPollMenu(), createQuizMenu(), createSmallArticleList(), eZList\drawList(), eZList\drawNavigator(), errorPage(), menuMaker(), ezpbKernelAdmin\run(), eZVoucherInformation\sendEMail(), and eZFormRenderer\sendForm().

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.